Browse Source

Add deprecate warning to ceilometer::client

With ceilometer api deprecated, we dont need client anymore.
We should encourage using gnocchi, aodh and panko clients
instead.

Change-Id: I53b8fe3c300d3539da2de4a29e9b2b8e432eadc6
changes/72/464672/2
Pradeep Kilambi 5 years ago committed by Alex Schultz
parent
commit
76c872007f
  1. 3
      manifests/client.pp
  2. 4
      releasenotes/notes/deprecate-ceilo-client-9613505a11df867b.yaml

3
manifests/client.pp

@ -15,6 +15,9 @@ class ceilometer::client (
include ::ceilometer::deps
include ::ceilometer::params
warning('This class is deprecated and will be removed in future releases.
Use gnocchi, aodh or panko clients to access data instead.')
package { 'python-ceilometerclient':
ensure => $ensure,
name => $::ceilometer::params::client_package_name,

4
releasenotes/notes/deprecate-ceilo-client-9613505a11df867b.yaml

@ -0,0 +1,4 @@
---
deprecations:
- Deprecate ceilometer::client as api is deprecated. Instead use gnocchi,
aodh and panko clients directly to query data.
Loading…
Cancel
Save